<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML tables and Forms</title>
</head>
<body>

    <!-- Creates a container used to gtoup HTML elements -->
    <!-- Used to contain header part of a document -->
    <header>
        <h1>HTML tables and Forms</h1>
    </header>

    <main>
        <h2>HTML Entities</h2>

        <p>
            <em>Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em>
        </p>

        <!-- Define an HTML table -->
        <section>
            <table border="1">
                <thead>
                    <tr>
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
    
                <tbody>
                    <tr>
                        <td>
                            &lt;
                        </td>
                        <td>
                            lt
                        </td>
                        <td>
                            less than
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &gt;
                        </td>
                        <td>
                            gt
                        </td>
                        <td>
                            greater than
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &#8369;
                        </td>
                        <td>
                            #8369
                        </td>
                        <td>
                            peso sign
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &amp;
                        </td>
                        <td>
                            amp
                        </td>
                        <td>
                            ampersand
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &quot;
                        </td>
                        <td>
                            quot
                        </td>
                        <td>
                            double quotation mark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &apos;
                        </td>
                        <td>
                            apos
                        </td>
                        <td>
                            single quotation mark (apostrophe)
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &ntilde;
                        </td>
                        <td>
                            ntilde
                        </td>
                        <td>
                            lower tilde
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &Ntilde;
                        </td>
                        <td>
                            Ntilde
                        </td>
                        <td>
                            upper tilde
                        </td>
                    </tr>
    
                    <!-- Used to group table footer content -->
                    <tfoot>
                        <th colspan="3">
                            List of HTML entities
                        </th>
                    </tfoot>
    
                </tbody>
            </table>
        </section>

        <section>
            <p>HTML Forms</p>
            <p>
                <em>Input elements that make up a form</em>
            </p>

            <form action="google.com">
                <label for="full_name">Full Name:</label><br>
                <input type="text" placeholder="Full Name" name="full_name" id="full_name" required> <br>

                <label for="birth_date">Birth Date:</label><br>
                <input type="date" name="birth_date" id="birth_date"><br>

                <label for="age">Age:</label><br>
                <input type="number" name="age" id="age" required min="1" placeholder="Age"><br>

                <label for="gender">Gender:</label><br>
                <select name="gender" id="gender">
                    <option selected disabled>Select gender</option>
                    <option value="">Male</option>
                    <option value="">Female</option>
                </select><br>

                <label for="notes">Notes:</label><br>
                <textarea name="notes" id="notes" cols="30" rows="5" placeholder="Notes here..."></textarea><br>

                <label>New User?</label><br>
                <input type="radio" name="new_user" id="user-type1" value="yes">
                <label for="user-type1">Yes</label>
                <input type="radio" name="new_user" id="user-type2" value="no">
                <label for="user-type2">No</label><br>
                
                <label>Role: </label><br>
                <input type="checkbox" name="role" id="role1" value="developer">
                <label for="role1">Developer</label><br>

                <input type="checkbox" name="role" id="role2" value="student">
                <label for="role2">Student</label><br>
                
                <input type="checkbox" name="role" id="role3" value="manager">
                <label for="role3">Musta pre? i2 manijer na</label><br>


                <br>
                <input type="submit" name="" id="">
                <input type="reset" name="" id="">
            </form>
        </section>
    </main>

</body>
</html>